> ## Documentation Index
> Fetch the complete documentation index at: https://docs.alumio.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get tasksstatistics

> Get aggregated task statistics



## OpenAPI

````yaml /schema.json get /tasks/statistics
openapi: 3.1.0
info:
  version: 01KVQG1C20MKD0B8FDPE4RHEDH
  title: Alumio API
  description: Access Alumio through OpenAPI v3.1.
servers:
  - url: /api/v1
security: []
paths:
  /tasks/statistics:
    get:
      tags:
        - TaskLogger
      description: Get aggregated task statistics
      operationId: getTaskStatistics
      parameters:
        - name: filter
          in: query
          description: Apply search criteria
          required: false
          schema:
            type: string
        - name: space
          in: query
          description: Space Identifier
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetTaskStatisticsResult'
        default:
          description: Unexpected Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    GetTaskStatisticsResult:
      type: object
      properties:
        metadata:
          $ref: '#/components/schemas/ActionMetaData'
        results:
          type: array
          items:
            $ref: '#/components/schemas/TaskStatistics'
    Error:
      type: object
      properties:
        status:
          type: string
        context:
          type: object
        type:
          type: string
        title:
          type: string
        detail:
          type: string
        violations:
          type: array
          items:
            type: object
            properties:
              title:
                type: string
              propertyPath:
                type: string
              type:
                type: string
    ActionMetaData:
      type: object
      properties:
        totalCount:
          type: integer
          format: int32
          description: Total count of items that match the criteria.
    TaskStatistics:
      type: object
      properties:
        identifier:
          title: Identifier
          type: string
        spaceIdentifier:
          type: string
          title: Space Identifier
        date:
          type: string
          title: Date
          format: date
          description: Status date
        new:
          type: integer
          title: New
          description: Log items
        processing:
          type: integer
          title: Processing
          description: Log items
        finished:
          type: integer
          title: Finished
          description: Log items
        failed:
          type: integer
          title: Failed
          description: Log items
        skipped:
          type: integer
          title: Skipped
          description: Log items

````